[94460] contrib/buildbot/deploy_archives.sh

jmr at macports.org jmr at macports.org
Tue Jun 19 15:38:33 PDT 2012


Revision: 94460
          https://trac.macports.org/changeset/94460
Author:   jmr at macports.org
Date:     2012-06-19 15:38:33 -0700 (Tue, 19 Jun 2012)
Log Message:
-----------
clean up ULPATH when erroring out

Modified Paths:
--------------
    contrib/buildbot/deploy_archives.sh

Modified: contrib/buildbot/deploy_archives.sh
===================================================================
--- contrib/buildbot/deploy_archives.sh	2012-06-19 22:18:44 UTC (rev 94459)
+++ contrib/buildbot/deploy_archives.sh	2012-06-19 22:38:33 UTC (rev 94460)
@@ -31,10 +31,11 @@
         aname=$(basename $archive)
         echo deploying archive: $aname
         if [[ -n "$PRIVKEY" ]]; then
-            openssl dgst -ripemd160 -sign "${PRIVKEY}" -out ${ULPATH}/${portname}/${aname}.rmd160 ${archive} || exit 1
-            if [[ -f ${ULPATH}/${portname}/${aname}.rmd160 ]]; then
+            openssl dgst -ripemd160 -sign "${PRIVKEY}" -out ${ULPATH}/${portname}/${aname}.rmd160 ${archive}
+            if [[ $? -eq 0 && -f ${ULPATH}/${portname}/${aname}.rmd160 ]]; then
                 chmod a+r ${ULPATH}/${portname}/${aname}.rmd160
             else
+                rm -rf $ULPATH
                 exit 1
             fi
         fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20120619/d449cfee/attachment.html>


More information about the macports-changes mailing list